org.eclipse.ease.debugging

## Class ScriptDebugThread

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugThread

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStep, ISuspendResume, ITerminate, IThread

    public class ScriptDebugThread
    extends ScriptDebugElement
    implements IThread

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugThread(ScriptDebugTarget target, Thread thread)`

### Method Summary

Methods
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`IBreakpoint[]` `getBreakpoints()`
`String` `getName()`
`int` `getPriority()`
`IStackFrame[]` `getStackFrames()`
`Thread` `getThread()`
`ScriptDebugStackFrame` `getTopStackFrame()`
`boolean` `hasStackFrames()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `setStackFrames(List<IScriptDebugFrame> debugFrames)`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canSuspend, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, resume, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, canSuspend, resume, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, terminate`

### Constructor Detail

#### ScriptDebugThread

    public ScriptDebugThread(ScriptDebugTarget target,
                     Thread thread)

### Method Detail

#### getName

    public String getName()
                   throws DebugException

Specified by:
  `getName` in interface `IThread`
Throws:
  `DebugException`

#### getStackFrames

    public IStackFrame[] getStackFrames()

Specified by:
  `getStackFrames` in interface `IThread`

#### hasStackFrames

    public boolean hasStackFrames()

Specified by:
  `hasStackFrames` in interface `IThread`

#### getTopStackFrame

    public ScriptDebugStackFrame getTopStackFrame()

Specified by:
  `getTopStackFrame` in interface `IThread`

#### getPriority

    public int getPriority()
                    throws DebugException

Specified by:
  `getPriority` in interface `IThread`
Throws:
  `DebugException`

#### getBreakpoints

    public IBreakpoint[] getBreakpoints()

Specified by:
  `getBreakpoints` in interface `IThread`

#### getThread

    public Thread getThread()

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`

#### setStackFrames

    public void setStackFrames(List<IScriptDebugFrame> debugFrames)

#### canStepInto

    public boolean canStepInto()

Specified by:
  `canStepInto` in interface `IStep`
Overrides:
  `canStepInto` in class `ScriptDebugElement`

#### canStepOver

    public boolean canStepOver()

Specified by:
  `canStepOver` in interface `IStep`
Overrides:
  `canStepOver` in class `ScriptDebugElement`

#### canStepReturn

    public boolean canStepReturn()

Specified by:
  `canStepReturn` in interface `IStep`
Overrides:
  `canStepReturn` in class `ScriptDebugElement`

#### stepInto

    public void stepInto()
                  throws DebugException

Specified by:
  `stepInto` in interface `IStep`
Overrides:
  `stepInto` in class `ScriptDebugElement`
Throws:
  `DebugException`

#### stepOver

    public void stepOver()
                  throws DebugException

Specified by:
  `stepOver` in interface `IStep`
Overrides:
  `stepOver` in class `ScriptDebugElement`
Throws:
  `DebugException`

#### stepReturn

    public void stepReturn()
                    throws DebugException

Specified by:
  `stepReturn` in interface `IStep`
Overrides:
  `stepReturn` in class `ScriptDebugElement`
Throws:
  `DebugException`